import { Entity, PrimaryColumn, Column } from "typeorm";

@Entity()
export class GuildGreeting {
    @PrimaryColumn()
    guildId: string;

    @Column()
    greetingChannelId: string;

    @Column({type: "text"})
    onJoinMessage: string;

    @Column({type: "text"})
    onLeaveMessage: string;

    @Column({ type: "text", nullable: true })
    onJoinPrivateMessage?: string;
}